# Generated from age_group-0.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name age_group

Name: rubygem-%{gem_name}
Version: 0.0.3
Release: 1%{?dist}
Summary: Categorises age groups for users
License: MIT
URL: http://rubygems.org/gems/age_group
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Built for a healthcare application.
A simple gem to set the age category of a user given a date of birth.
Given a string representation of date of birth in the format yyyy-mm-dd.
e.g; AgeGroup.setAgeCategory(1990-01-01) will return "Young Adult" as their
age category.
Age Ranges:
0-2 > "Infant",
3-5 > "Young Child",
7-12 > "Child",
13-17 > "Teen",
18-30 > "Young Adult",
31-45 > "Middle Aged",
46-64 > "Mature Adult",
65+ > "Elderly".


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Sun Sep 12 2021 mockbuilder - 0.0.3-1
- Initial package
